## perlmoo 0.045

=== Makefile ===
# Change to where you want the moo installed.
BINDIR=/usr/local/bin
LIBDIR=/usr/local/lib/perlmoo
VARDIR=/var/lib/perlmoo
ETCDIR=/usr/local/etc/
MANDIR=/usr/local/man/man1

all: db/db.pl Version.pm

install: all
	install -d $(PREFIX)/$(BINDIR) $(PREFIX)/$(VARDIR) \
		$(PREFIX)/$(LIBDIR) $(PREFIX)/$(ETCDIR) $(PREFIX)/$(MANDIR)
	install perlmoo perlmoo-* $(PREFIX)/$(BINDIR)/
	install -m 0644 db/db.pl $(PREFIX)/$(VARDIR)
	install -m 0644 *.pl *.pm $(PREFIX)/$(LIBDIR)
	install -m 0644 *.1 $(PREFIX)/$(MANDIR)
	ln -s perlmoo.1 $(PREFIX)/$(MANDIR)/perlmoo-dbconvert.1
	ln -s perlmoo.1 $(PREFIX)/$(MANDIR)/perlmoo-test.1
	ln -s perlmoo.1 $(PREFIX)/$(MANDIR)/perlmoo-wizpasswd.1
	ln -s perlmoo.1 $(PREFIX)/$(MANDIR)/perlmoo-initdb.1
	sed -e 's!dbdir=.*!dbdir="$(VARDIR)";!' \
		-e 's!sourcedir=.*!sourcedir="$(LIBDIR)";!' \
		< perlmoo.conf > $(PREFIX)/$(ETCDIR)/perlmoo.conf

db/db.pl: basedb.pl perlmoo-initdb perlmoo-initdb *.pm Version.pm
	-mkdir db
	./perlmoo-initdb

clean:
	rm -f db/db.pl db/db-postmortem.pl
	-rmdir db

realclean:
	rm -f db/* Version.pm
	-rmdir db

convert:
	./perlmoo-dbconvert
	cp db/db.pl db/db.pl.old
	mv db/db.pl.new db/db.pl

test: db/db.pl
	./perlmoo-test

# Create the version module.
VERSION=$(shell perl -e '$$_=<>;print m/\((.*?)\)/'<debian/changelog)
Version.pm:
	echo -e "package Version;\n\$$version='$(VERSION)';" > Version.pm

# Install in the proper location on my ftp server and web server. Not intended
# for use by anyone except the author.
OLD_VER=$(shell perl -e '<>;<>;while(<>){last if /^ --/};<>;$$_=<>;print m/\((.*?)\)/'<debian/changelog)
dist:
	dpkg-buildpackage -rfakeroot -tc
	if [ `hostname` = 'kite' ] ; then \
		cp ../perlmoo_$(VERSION).tar.gz ../../public; \
		rm /home/ftp/pub/code/perlmoo/* || true; \
		cp README* TODO BUGS FAQ WISHLIST CHANGES /home/pub/programs/perlmoo/; \
		echo $(VERSION) > /home/pub/programs/perlmoo/LATEST-VERSION-IS; \
		cd ..; rm -rf perlmoo-$(OLD_VER); \
		[ -f ../public/perlmoo_$(OLD_VER).tar.gz ] && \
		tar zxf ../public/perlmoo_$(OLD_VER).tar.gz || \
		tar zxf ../outdated/perlmoo_$(OLD_VER).tar.gz; \
		diff -r -u --new-file perlmoo-$(OLD_VER) perlmoo-$(VERSION) \
			--exclude CHANGES --exclude db.pl\* > \
			/home/ftp/pub/code/perlmoo/diffs/perlmoo-$(VERSION).diff; \
		gzip -9f /home/ftp/pub/code/perlmoo/diffs/perlmoo-$(VERSION).diff; \
		cd /home/ftp/pub/code/perlmoo; \
		ln -sf ../debian/perlmoo_$(VERSION).tar.gz perlmoo_$(VERSION).tar.gz; \
                ln -sf ../debian/perlmoo_$(VERSION).tar.gz perlmoo.tar.gz ; \
	fi

.PHONY: test dist convert

=== debian/control ===
Source: perlmoo
Section: net
Priority: optional
Maintainer: Joey Hess <joeyh@master.debian.org>
Standards-Version: 2.4.1.4

Package: perlmoo
Architecture: all
Depends: perl, data-dumper
Suggests: libterm-readline-gnu-perl | libterm-readline-perl-perl
Description: server for an online multiuser virtual world, implemented in perl
 Perlmoo is a server for a virtual world, a computer program which users
 can log into and explore. Each user takes control of a computerized
 persona/avatar/incarnation/character. You can walk around, chat with other
 people, solve puzzles, and even create your very own rooms, descriptions
 and items.
 .
 Perlmoo is intentionally similar to Lambdamoo from the user's perspective,
 but it's written as object oriented perl code, that can easily be modified
 and expanded. It's possible to code new object in perl while the moo is
 running.
 .
 Perlmoo is still under heavy development and should be considered alpha
 quality software.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	# I want to include db/db.pl in the package.
	-$(MAKE) realclean all
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs var/run
	$(MAKE) install \
		PREFIX=debian/tmp \
		BINDIR=/usr/bin \
		LIBDIR=/usr/lib/perlmoo \
		VARDIR=/var/lib/perlmoo \
		ETCDIR=/etc/ \
		MANDIR=/usr/man/man1
	# I prefer to generate this when the package installs
	-rm -f debian/tmp/var/lib/perlmoo/*
	touch install-stamp

binary-arch: build install
# Nothing to do.

binary-indep: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs BUGS README* THANKS TODO WISHLIST FAQ
	dh_installexamples contrib/*
	dh_installmenu
	dh_installinit
	dh_installcron
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	
	# Set up security - this makes perlmoo run as daemon.
	chown daemon.daemon debian/tmp/var/lib/perlmoo
	chmod ug+s debian/tmp/var/lib/perlmoo
	chmod o-x debian/tmp/var/lib/perlmoo

	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
